kdecore Library: KMountPoint Class Reference (kdecore Library)

| # kdecore Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KMountPoint Class Reference

The KMountPoint class provides information about mounted and unmounted disks. More...

`#include <kmountpoint.h>`

Inheritance diagram for KMountPoint:

[legend]
Collaboration diagram for KMountPoint:

[legend]
List of all members.

## Public Types
typedef KSharedPtr< KMountPoint > | Ptr
typedef QValueList< Ptr > | List
enum | { NeedMountOptions = 1, NeedRealDeviceName = 2 }
## Public Member Functions
QString | mountedFrom () const
QString | realDeviceName () const
QString | mountPoint () const
QString | mountType () const
QStringList | mountOptions () const
| ~KMountPoint ()
## Static Public Member Functions
static KMountPoint::List | possibleMountPoints (int infoNeeded=0)
static KMountPoint::List | currentMountPoints (int infoNeeded=0)
static QString | devNameFromOptions (const QStringList &options)

## Detailed Description

The KMountPoint class provides information about mounted and unmounted disks.

It provides a system independent interface to fstab.

Author:
  Waldo Bastian <bastian@kde.org>

Since:
  3.2

Definition at line 35 of file kmountpoint.h.

## Constructor & Destructor Documentation

KMountPoint::~KMountPoint | ( |  | ) |

| Destructor. Definition at line 103 of file kmountpoint.cpp.

## Member Function Documentation

KMountPoint::List KMountPoint::possibleMountPoints | ( | int | infoNeeded = `0` | ) | `[static]`

  | This function gives a list of all possible mountpoints. (fstab) Parameters:
  | infoNeeded | Flags that specify which additional information should be fetched.
Definition at line 129 of file kmountpoint.cpp. References QValueList::append(), QFile::close(), QFile::decodeName(), devNameFromOptions(), QString::isEmpty(), m_device, m_mountedFrom, m_mountOptions, m_mountPoint, m_mountType, QFile::open(), QTextStream::readLine(), KStandardDirs::realPath(), QStringList::split(), and QString::startsWith(). Referenced by KDesktopFile::readURL().

KMountPoint::List KMountPoint::currentMountPoints | ( | int | infoNeeded = `0` | ) | `[static]`

  | This function gives a list of all currently used mountpoints. (mtab) Parameters:
  | infoNeeded | Flags that specify which additional information should be fetched.
Definition at line 223 of file kmountpoint.cpp. References QValueList::append(), QFile::decodeName(), devNameFromOptions(), m_device, m_mountedFrom, m_mountOptions, m_mountPoint, m_mountType, KStandardDirs::realPath(), QStringList::split(), and QString::startsWith().

QString KMountPoint::mountedFrom | ( |  | ) | const`[inline]`

| Where this filesystem gets mounted from. This can refer to a device, a remote server or something else. Definition at line 62 of file kmountpoint.h. Referenced by KDesktopFile::readURL().

QString KMountPoint::realDeviceName | ( |  | ) | const`[inline]`

| Canonical name of the device where the filesystem got mounted from. (Or empty, if not a device) Only available when the NeedRealDeviceName flag was set. Definition at line 69 of file kmountpoint.h.

QString KMountPoint::mountPoint | ( |  | ) | const`[inline]`

| Path where the filesystem is mounted or can be mounted. Definition at line 74 of file kmountpoint.h. Referenced by KDesktopFile::readURL().

QString KMountPoint::mountType | ( |  | ) | const`[inline]`

| Type of filesystem. Definition at line 79 of file kmountpoint.h.

QStringList KMountPoint::mountOptions | ( |  | ) | const`[inline]`

| Options used to mount the filesystem. Only available when the NeedMountOptions flag was set. Definition at line 85 of file kmountpoint.h.

QString KMountPoint::devNameFromOptions | ( | const QStringList & | options | ) | `[static]`

| When using supermount, the device name is in the options field as dev=/my/device Since: 3.4. Definition at line 372 of file kmountpoint.cpp. References QString::remove(). Referenced by currentMountPoints(), and possibleMountPoints().

The documentation for this class was generated from the following files:

- kmountpoint.h
- kmountpoint.cpp

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:18:49 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003